<?php 
/* SVN FILE: $Id$ */
/* Character Test cases generated on: 2009-12-28 15:19:05 : 1261981145*/
App::import('Model', 'Character');

class CharacterTestCase extends CakeTestCase {
	var $Character = null;
	var $fixtures = array('app.character', 'app.system', 'app.user', 'app.character_profile_archive');

	function startTest() {
		$this->Character =& ClassRegistry::init('Character');
	}

	function testCharacterInstance() {
		$this->assertTrue(is_a($this->Character, 'Character'));
	}

	function testCharacterFind() {
		$this->Character->recursive = -1;
		$results = $this->Character->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('Character' => array(
			'id'  => 1,
			'system_id'  => 1,
			'user_id'  => 1,
			'name'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'image_filename'  => 'Lorem ipsum dolor sit amet',
			'notes'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'sort_order'  => 1,
			'deleted'  => 1,
			'created'  => '2009-12-28 15:19:04',
			'modified'  => '2009-12-28 15:19:04',
			'deleted_date'  => '2009-12-28 15:19:04'
		));
		$this->assertEqual($results, $expected);
	}
}
?>